Name:		icewm
Version:	1.3.7
Release:	2
Summary:	Light and configurable window manager
Group:		User Interface/Desktops
License:	LGPLv2+
URL:		http://www.icewm.org

Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:	clearlooks.tgz

Patch0:		%{name}-%{version}-aix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	tar

BuildRequires:	fontconfig >= 2.8.0
BuildRequires:	gettext
BuildRequires:	gtk2-devel >= 2.8.3-9
BuildRequires:	libXft-devel >= 2.1.14

Requires:	fontconfig >= 2.8.0
Requires:	gettext
Requires:	gtk2 >= 2.8.3-9
Requires:	libXft >= 2.1.14


%description
IceWM is a window manager for the X Window System (freedesktop, XFree86).
The goal of IceWM is speed, simplicity, and not getting in the user's way.


%package	clearlooks
Summary:	Clearlooks like theme for IceWM
Group:		User Interface/Desktops
Requires:	%{name} = %{version}-%{release}

%description	clearlooks
An IceWM theme that mimics the GNOME ClearLooks theme used by
older Fedora releases and RHEL.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-i18n \
    --enable-nls \
    --enable-shape \
    --disable-xinerama \
    --enable-gradients \
    --disable-xrandr \
    --enable-corefonts \
    --with-x \
    --with-esd-config=/opt/freeware/bin/esd-config \
    --with-mkfontdir=/usr/bin/X11 \
    --with-cfgdir=%{_sysconfdir}/%{name}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp doc/icewm.1.man ${RPM_BUILD_ROOT}%{_mandir}/man1/icewm.1
chmod 0755 ${RPM_BUILD_ROOT}%{_mandir}/man1/icewm.1

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}/themes
gtar -C ${RPM_BUILD_ROOT}%{_datadir}/%{name}/themes -xzf %{SOURCE1}

echo "Theme=\"clearlooks/default.theme\"" > ${RPM_BUILD_ROOT}%{_datadir}/%{name}/theme

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS BUGS CHANGES COPYING README README.wm-session TODO doc/*.html
%{_bindir}/icehelp
%{_bindir}/icesh
%{_bindir}/icewm
%{_bindir}/icewm-session
%{_bindir}/icewmbg
%{_bindir}/icewmhint
%{_bindir}/icewmtray

%{_mandir}/man1/icewm.1*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/keys
%{_datadir}/%{name}/ledclock
%{_datadir}/%{name}/mailbox
%{_datadir}/%{name}/menu
%{_datadir}/%{name}/preferences
%{_datadir}/%{name}/taskbar  
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/Infadel2
%{_datadir}/%{name}/themes/gtk2
%{_datadir}/%{name}/themes/icedesert
%{_datadir}/%{name}/themes/metal2
%{_datadir}/%{name}/themes/motif
%{_datadir}/%{name}/themes/nice
%{_datadir}/%{name}/themes/nice2
%{_datadir}/%{name}/themes/warp3
%{_datadir}/%{name}/themes/warp4
%{_datadir}/%{name}/themes/win95
%{_datadir}/%{name}/themes/yellowmotif
%{_datadir}/%{name}/toolbar
%{_datadir}/%{name}/winoptions

%{_datadir}/locale/*/*/*


%files clearlooks
%defattr(-,root,system,-)
%{_datadir}/%{name}/theme
%{_datadir}/%{name}/themes/clearlooks


%changelog
* Fri Oct 19 2012 Michael Perzl <michael@perzl.org> - 1.3.7-2
- added the missing dependency on gtk2

* Wed Nov 23 2011 Michael Perzl <michael@perzl.org> - 1.3.7-1
- updated to version 1.3.7

* Fri Oct 14 2011 Michael Perzl <michael@perzl.org> - 1.2.37-1
- first version for AIX V5.1 and higher
